Skip to main content

List Items in a Folder

GET /v1/folders/{folderId}/items

Request

curl -X GET "http://client-omni-api.argosidentity.com/v1/folders/{folderId}/items?type=file&sort=createdAt&order=desc" \
  -H "x-api-key: your-api-key-here"

Query Parameters

ParameterTypeDefaultDescription
typestringFilter by item type: file, text, json
searchstringSearch by item name
sortstringcreatedAtSort field: name, type, createdAt
orderstringdescSort order: asc, desc

Response

{
  "count": 2,
  "items": [
    {
      "id": "item_abc123",
      "folderId": "fld_default001",
      "type": "file",
      "name": "business_registration.pdf",
      "content": null,
      "contentType": "application/pdf",
      "sizeBytes": 245678,
      "url": "https://omni-kb-documents.s3.us-east-1.amazonaws.com/.../extracted.txt",
      "detected": {
        "contentType": "application/pdf",
        "extension": "pdf",
        "fileCategory": "document"
      },
      "metadata": {
        "documentType": "business_registration"
      },
      "status": "ACTIVE",
      "processedAt": "2026-03-15T10:10:05Z",
      "createdAt": "2026-03-15T10:10:00Z",
      "rag": "사업자등록증\n상호: 주식회사 아크미..."
    }
  ]
}
items[].contentType
string | null
MIME type (file items only)
items[].sizeBytes
number | null
File size in bytes (file items only)
items[].url
string | null
URL to extracted text (for search/RAG)
items[].detected
object | null
Auto-detected file info: contentType, extension, fileCategory
items[].rag
string | null
OCR-extracted and refined text (null while processing)

Get Item by ID

GET /v1/items/{itemId}
curl -X GET "http://client-omni-api.argosidentity.com/v1/items/{itemId}" \
  -H "x-api-key: your-api-key-here"
{
  "id": "item_abc123",
  "folderId": "fld_default001",
  "type": "file",
  "name": "business_registration.pdf",
  "content": null,
  "contentType": "application/pdf",
  "sizeBytes": 245678,
  "url": "https://omni-kb-documents.s3.us-east-1.amazonaws.com/.../extracted.txt",
  "detected": {
    "contentType": "application/pdf",
    "extension": "pdf",
    "fileCategory": "document"
  },
  "metadata": {
    "documentType": "business_registration"
  },
  "status": "ACTIVE",
  "processedAt": "2026-03-15T10:10:05Z",
  "folder": {
    "id": "fld_default001",
    "name": "default"
  },
  "createdAt": "2026-03-15T10:10:00Z",
  "rag": "사업자등록증\n상호: 주식회사 아크미..."
}
The folder object is only included in the item detail response, not in the list response.

Error Codes

StatusCodeDescription
404ITEM_NOT_FOUNDItem not found